<?php

namespace Entities;

use App\Entities\Client;
use PHPUnit\Framework\TestCase;

class ClientTest extends TestCase
{
    public function setUp(): void
    {
        parent::setUp(); // TODO: Change the autogenerated stub
        $this->client = new Client();
    }

    /**
     * @dataProvider verificaNumerosProvider
     * @return void
     */
    public function testVerificaNumeroIgualACinco($expect, $value, $exception)
    {
        if ($exception) {
            $this->expectException($exception);
        }

        $this->assertEquals($expect, $this->client->verificaNumero($value));
    }

    //    public function testVerificaNumeroMaiorQueCinco()
//    {
//        $this->assertEquals('maior ou igual a 5', $this->client->verificaNumero(6));
//    }
//
//    public function testVerificaNumeroMenorQueCinco()
//    {
//        $this->assertEquals('menor que 5', $this->client->verificaNumero(4));
//    }

//    /**
//     * @return void
//     */
//    public function testVerificaNumeroWithException()
//    {
//        $this->expectException('Exception');
//        $this->assertEquals('Apenas números maiores que zero', $this->client->verificaNumero(0));
//    }

    public function verificaNumerosProvider()
    {
        return [
          'igual_a_cinco' => ['igual a 5', 5, null],
          'maior_ou_igual_a_cinco' => ['maior ou igual a 5', 6, null],
          'menor_ou_igual_a_cinco' => ['menor que 5', 4, null],
          'zero' => ['Apenas números maiores que zero', 0, 'Exception'],
        ];
    }
}